Bug 461303 - Review Request: perl-Data-Section - Read multiple hunks of data out of your DATA section
Review Request: perl-Data-Section - Read multiple hunks of data out of your D...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 461307
  Show dependency treegraph
 
Reported: 2008-09-05 14:04 EDT by Daniel Berrange
Modified: 2012-04-02 14:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 06:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Patch to get test suite to work with Test::More < 0.88 (373 bytes, patch)
2012-03-06 07:11 EST, Paul Howarth
no flags Details | Diff

  None (edit)
Description Daniel Berrange 2008-09-05 14:04:39 EDT
Spec URL: http://berrange.fedorapeople.org/review/perl-Data-Section/perl-Data-Section.spec
SRPM URL: http://berrange.fedorapeople.org/review/perl-Data-Section/perl-Data-Section-0.005-1.fc9.src.rpm
Description: 
Data::Section provides an easy way to access multiple named chunks of line-
oriented data in your module's DATA section. It was written to allow
modules to store their own templates, but probably has other uses.



This new package is a requirement to upgrade perl-Module-CPANTS-Analyse to latest upstream release
Comment 1 Jason Tibbitts 2008-09-05 20:01:27 EDT
Fails to build for me (in rawhide); the tests fail due to a lack of Test::More.  Even by-the-book cpanspec-generated packages may be missing a few things.  I added a build dependency on perl(Test::More) and things build OK, so I'll just assume that it's there and go on.

Otherwise everything looks fine.

* source files match upstream:
   57e73cc7ef596d9b65288223daa252fe1e2cb9a07b79f7e8786c86c6b7e4bbb9  
   Data-Section-0.005.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (after adding perl(Test::More)).
* %clean is present.
* package builds in mock (rawhide, x86_64) (after fixing build deps).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Data::Section) = 0.005
   perl-Data-Section = 0.005-1.fc10
  =
   perl(:MODULE_COMPAT_5.10.0)
   perl(Class::ISA)
   perl(Sub::Exporter) >= 0.979
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=3, Tests=19,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.07 cusr  0.01 
    csys =  0.11 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED, just fix that build dep so that you can actually build the package.
Comment 2 Daniel Berrange 2008-09-06 05:42:31 EDT
Thanks for the review - I always forget the Test::More BR as its always present on my installs. Will do a proper mock build next time to validate it.
Comment 3 Kevin Fenzi 2008-09-08 11:24:56 EDT
Can you add a cvs request here? 
See: http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 4 Daniel Berrange 2008-09-08 11:30:20 EDT
New Package CVS Request
=======================
Package Name: perl-Data-Section
Short Description: Read multiple hunks of data out of your DATA section
Owners: berrange
Branches: F-9
InitialCC:
Comment 5 Ralf Corsepius 2008-09-09 21:47:23 EDT
Daniel, one piece of recommendation:

Would you please consider to add "InitialCC: perl-sig" to your perl packages? Many perl packagers apply this, because this causes BZ's and commits to be CC:'ed to the fedora-perl-devel list, thus automatically notifies them about issues with perl packages - Thanks in advance.
Comment 6 Kevin Fenzi 2008-09-09 22:20:50 EDT
cvs done.
Comment 7 Daniel Berrange 2008-09-10 06:33:20 EDT
Ralf, looks like PkgDB is already setup, so too late to add InitialCC - someone will have to request it in pkgdb directly. I'll add it to any future perl RPMs I add

Build now in rawhide:

$ koji latest-pkg dist-f10 perl-Data-Section
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
perl-Data-Section-0.005-2.fc10            dist-f10              berrange
Comment 8 Daniel Berrange 2010-06-29 07:30:42 EDT

Package Change Request
======================
Package Name: perl-Data-Section
New Branches: EL-6
Owners: berrange
Comment 9 Kevin Fenzi 2010-06-29 20:58:38 EDT
CVS done (by process-cvs-requests.py).
Comment 10 Paul Howarth 2012-03-05 10:12:24 EST
Hi Daniel,

can we have an EL-5 branch for this package please? I have already requested the necessary update of Sub::Exporter (Bug #799993) and have a patch to get the test suite to work with Test::More < 0.88 as found in EL-5. I (pghmcfc) would be happy to maintain this branch if you're not interested.
Comment 11 Daniel Berrange 2012-03-06 06:44:32 EST
Package Change Request
======================
Package Name: perl-Data-Section
New Branches: EL-5
Owners: berrange
Comment 12 Paul Howarth 2012-03-06 07:11:37 EST
Created attachment 567930 [details]
Patch to get test suite to work with Test::More < 0.88
Comment 13 Gwyn Ciesla 2012-03-06 08:01:38 EST
Git done (by process-git-requests).
Comment 14 Fedora Update System 2012-03-18 07:46:43 EDT
perl-Data-Section-0.101621-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Data-Section-0.101621-2.el5
Comment 15 Fedora Update System 2012-04-02 14:27:34 EDT
perl-Data-Section-0.101621-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.